<?php

namespace Beta\Data\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BetaTransformer extends TransformerAbstract
{
    public function transform(\Beta\Data\Models\Beta $beta)
    {
        return [
            'id'                => $beta->getRouteKey(),
            'key'               => [
                'public'    => $beta->getPublicKey(),
                'route'     => $beta->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('data/'.$beta->getPublicKey()),
                'user'      => guard_url('data/beta/'.$beta->getRouteKey()),
            ], 
            'status'            => trans('app.'.$beta->status),
            'created_at'        => format_date($beta->created_at),
            'updated_at'        => format_date($beta->updated_at),
        ];
    }
}